package com.bytedance.ies.ugc.aweme.smartanchor_declaration;

import X.7h6;
import X.Kh8;
import X.Km3;
import X.Km5;
import com.bytedance.covode.number.Covode;
import com.bytedance.router.SmartRouter;
import com.bytedance.router.interceptor.IInterceptor;
import com.ss.android.ugc.aweme.app.services.LauncherService;
import com.ss.android.ugc.aweme.compliance.api.a;
import com.ss.android.ugc.aweme.compliance.protection.familypairing.FamilyPairingRouter;
import com.ss.android.ugc.aweme.donation.DonationServiceImpl;
import com.ss.android.ugc.aweme.ecommerce.ECommerceService;
import com.ss.android.ugc.aweme.influencer.ecommercelive.framework.settings.TEARouterInterceptor;
import com.ss.android.ugc.aweme.minigame.router.MiniGameAnchorTask;
import com.ss.android.ugc.aweme.out.AVExternalServiceImpl;
import com.ss.android.ugc.aweme.router.AccountInterceptor;
import com.ss.android.ugc.aweme.router.AdditionalActionInterceptor;
import com.ss.android.ugc.aweme.router.ChallengeUrlInterceptor;
import com.ss.android.ugc.aweme.router.DraftRouterInterceptor;
import com.ss.android.ugc.aweme.router.FeedbackSubmitInterceptor;
import com.ss.android.ugc.aweme.router.InstantMessageInterceptor;
import com.ss.android.ugc.aweme.router.LoginRouterInterceptor;
import com.ss.android.ugc.aweme.router.MixDetailInterceptor;
import com.ss.android.ugc.aweme.router.OpenChatExtInterceptor;
import com.ss.android.ugc.aweme.router.RecordPermissionInterceptor;
import com.ss.android.ugc.aweme.router.RecordPermissionInterceptorNew;
import com.ss.android.ugc.aweme.router.UrlPathParamsInterceptor;
import com.ss.android.ugc.aweme.search.router.SearchInterceptor;

public class RouterAnchorPoint implements 7h6 {
    static {
        Covode.recordClassIndex(31091);
    }

    public static 7h6 getPoint() {
        return new RouterAnchorPoint();
    }

    public void run(Object obj) {
        SmartRouter.addInterceptor(new FamilyPairingRouter());
        SmartRouter.addInterceptor(new TEARouterInterceptor());
        Kh8.LJIIJJI.LIZ(new Km5());
        Kh8.LJIIJJI.LIZ(new Km3());
        SmartRouter.addInterceptor(new MiniGameAnchorTask());
        SmartRouter.addInterceptor(new UrlPathParamsInterceptor());
        SmartRouter.addInterceptor(new DraftRouterInterceptor());
        SmartRouter.addInterceptor(new MixDetailInterceptor());
        SmartRouter.addInterceptor(new AccountInterceptor());
        System.out.println("Cofig will add challenge");
        SmartRouter.addInterceptor(new ChallengeUrlInterceptor());
        for (IInterceptor addInterceptor : ECommerceService.createIECommerceServicebyMonsterPlugin(false).getEComPipeRouterInterceptors()) {
            SmartRouter.addInterceptor(addInterceptor);
        }
        SmartRouter.addInterceptor(LauncherService.LIZLLL().LIZ());
        SmartRouter.addInterceptor(new UrlPathParamsInterceptor());
        SmartRouter.addInterceptor(new RecordPermissionInterceptor());
        SmartRouter.addInterceptor(new RecordPermissionInterceptorNew());
        SmartRouter.addInterceptor(new DraftRouterInterceptor());
        SmartRouter.addInterceptor(new OpenChatExtInterceptor());
        SmartRouter.addInterceptor(new LoginRouterInterceptor());
        SmartRouter.addInterceptor(a.LJIILL().LIZLLL());
        SmartRouter.addInterceptor(new AdditionalActionInterceptor());
        SmartRouter.addInterceptor(DonationServiceImpl.LIZIZ().LIZ());
        SmartRouter.addInterceptor(new FeedbackSubmitInterceptor());
        SmartRouter.addInterceptor(new InstantMessageInterceptor());
        for (IInterceptor addInterceptor2 : ECommerceService.createIECommerceServicebyMonsterPlugin(false).getECommerceRouterInterceptors()) {
            SmartRouter.addInterceptor(addInterceptor2);
        }
        SmartRouter.addInterceptor(AVExternalServiceImpl.LIZ().routerService().openEditPageRouter());
        SmartRouter.addInterceptor(new SearchInterceptor());
    }
}
